import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

import javax.microedition.io.Connector;
import javax.microedition.io.StreamConnection;

public class Score{
	public int score;
	public int hscore;
	private int o50flag;

	Score(){
		loadScore();
	}

	public void reset(){
		score = 0;
		o50flag = 50;
	}

	// scoreover50*n𒴂Ƃ1Ԃ
	public int add(int n){
		score += n;
		if(score >= 9999){ score = 9999;}
		if(score >= o50flag){
			o50flag += 50;
			return 1;
		}
		return 0;
	}

	public void hsCheck(){
		if(hscore < score){
			hscore = score;
			saveScore();
		}
	}

	public int getNum(int keta,int flag){
		int nnum,num;
		if(flag==1){ num=hscore;}
		else{ num=score;}

		if(keta == 4){
			if(num < 1000){ return 11;}
			nnum = (num % 10000) / 1000;
		}else if(keta == 3){
			if(num < 100){ return 11;}
			nnum = (num % 1000) / 100;
		}else if(keta == 2){
			if(num < 10){ return 11;}
			nnum = (num % 100) / 10;
		}else if(keta == 1){
			nnum = num % 10;
		}else{
			return 11;
		}
		return nnum;
	}

    public void loadScore(){
		int i;

        try {
            InputStream in = Connector.openDataInputStream("scratchpad:///0;pos=0");

            hscore = (in.read() << 8);
            hscore |= (in.read());

            in.close();
        } catch (IOException e) {
        }
    }

    public void saveScore(){

        try {
			OutputStream out = Connector.openDataOutputStream("scratchpad:///0;pos=0");

            out.write((hscore >>> 8) & 0xff);
            out.write(hscore & 0xff);
            out.close();
        } catch (IOException e) {
        }
    }
}
