import com.nttdocomo.ui.MediaManager;
import com.nttdocomo.ui.MediaImage;
import com.nttdocomo.ui.Image;
import com.nttdocomo.io.ConnectionException;
import com.nttdocomo.ui.UIException;

public class Player{
	public int ppos;
	public int hearts;
	public int shita;
	public int anime;
	private int movedir;
	//private final int MOVE_NONE = 0;
	//private final int MOVE_LEFT = 1;
	//private final int MOVE_RIGHT = 2;
	public int count;
	private int ncount;
	public boolean sstatus;
	public int scount;

	public Image plpic[];
	public int chpos[] = {2,8,14,4,6,10,12,4,7,10,13};
	public Image plpic2;

	public Image kemu[];

	Player(){
		plpic = new Image[7];
		kemu = new Image[2];

		MediaImage mi = MediaManager.getImage("resource:///pl_m0.gif");
		try{
			mi.use();
			plpic[0] = mi.getImage();
			mi = MediaManager.getImage("resource:///pl_m1.gif");
			mi.use();
			plpic[1] = mi.getImage();
			mi = MediaManager.getImage("resource:///pl_m2.gif");
			mi.use();
			plpic[2] = mi.getImage();
			mi = MediaManager.getImage("resource:///pl_l2.gif");
			mi.use();
			plpic[3] = mi.getImage();
			mi = MediaManager.getImage("resource:///pl_l1.gif");
			mi.use();
			plpic[4] = mi.getImage();
			mi = MediaManager.getImage("resource:///pl_r2.gif");
			mi.use();
			plpic[5] = mi.getImage();
			mi = MediaManager.getImage("resource:///pl_r1.gif");
			mi.use();
			plpic[6] = mi.getImage();
			mi = MediaManager.getImage("resource:///pl_s.gif");
			mi.use();
			plpic2 = mi.getImage();
			mi = MediaManager.getImage("resource:///kemu1.gif");
			mi.use();
			kemu[0] = mi.getImage();
			mi = MediaManager.getImage("resource:///kemu2.gif");
			mi.use();
			kemu[1] = mi.getImage();
		}catch(ConnectionException e){
			System.out.println("ConnectionException : "+e);
		}catch(UIException e){
		}
	}

	public void reset(){
		shita = 3;
		ppos = 1;
		hearts = 2;
		anime = 0;
		count = 0;
		ncount = 0;
		movedir = 0;
		sstatus = false;
		scount = 0;
	}

	public void softreset(){
		shita = 3;
		anime = 0;
		ppos = 1;
		count = 0;
		movedir = 0;
		sstatus = false;
	}

	public void mright(){
		if((ppos < 2)&(sstatus == false)){
			++ppos;
			anime = 2;
			count = 3;
			movedir = 2;
		}
	}

	public void mleft(){
		if((ppos > 0)&(sstatus == false)){
			--ppos;
			anime = 2;
			count = 3;
			movedir = 1;
		}
	}

	public void setShita(){
		if((shita > 0)&(!(sstatus))){
			--shita;
			scount = 0;
			sstatus = true;
		}
	}

	public void plusShita(){
		if(shita < 3){ ++shita;}
	}

	public void an(){
		if(scount > 0){
			--scount;
			if(scount == 0){ sstatus = false;}
		}

		if(anime == 2){
			--count;
			if(count <= 0){
				anime = 1;
				count = 6;
			}
		}
		else if(anime == 1){
			--count;
			if(count <= 0){
				anime = 0;
				count = 0;
				movedir = 0;
			}
		}
		++ncount;
		if(ncount > 16){ ncount = 0;}
	}

	public int minusLife(){
		--hearts;
		if(hearts < 0){
			return 0;
		}
		return 1;
	}

	public void mSCount(){
		--scount;
		if(scount <= 0){ sstatus = false;}
	}

	public int getChpos(){
		int p;

		if(anime == 0){
			if(ppos == 0){ p = 2;}
			else if(ppos == 1){ p =  9;}
			else{ p =  16;}
		}else if(anime == 2){
			if(movedir == 1){
				if(ppos == 0){ p =  6;}
				else{ p =  12;}
			}else{
				if(ppos == 1){ p =  4;}
				else{ p =  10;}
			}
		}else{
			if(movedir == 1){
				if(ppos == 0){ p =  4;}
				else{ p =  10;}
			}else{
				if(ppos == 1){ p =  7;}
				else{ p =  13;}
			}
		}
		return p*4;
	}

	public int getPlpat(){
		if(anime == 0){
			if(ncount < 4){ return 0;}
			else if(ncount < 8){ return  1;}
			else if(ncount < 12){ return  0;}
			else{ return 2;}
		}else{
			return anime+movedir*2;
		}
	}
}
